﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.IO;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using Telerik.WinControls.RichTextEditor.UI;
using Telerik.WinControls.UI;
using Telerik.WinForms.Documents;
using Telerik.WinForms.Documents.FormatProviders;
using Telerik.WinForms.Documents.FormatProviders.OpenXml.Docx;
using Telerik.WinForms.Documents.Model;
using Telerik.WinForms.Documents.RichTextBoxCommands;

namespace _962068_RadRichTextEditorLoadDocument
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();

            this.radRichTextEditor1.DocumentChanged += radRichTextEditor1_DocumentChanged;
        }

        private void radRichTextEditor1_DocumentChanged(object sender, EventArgs e)
        {
            this.SetDefaultFontPropertiesToEditor(this.radRichTextEditor1);
        }

        protected override void OnLoad(EventArgs e)
        {
            base.OnLoad(e);

            this.SetDefaultFontPropertiesToEditor(this.radRichTextEditor1);
            this.radRichTextEditor1.Document = this.ImportDocx();
        }

        private RadDocument ImportDocx()
        {
            RadDocument document = null;
            IDocumentFormatProvider provider = new DocxFormatProvider();
            using (Stream stream = File.OpenRead(@"..\..\document.docx"))
            {
                document = provider.Import(stream);
            }

            return document;
        }

        private void radButton1_Click(object sender, EventArgs e)
        {
            this.SetDefaultFontPropertiesToEditor(this.radRichTextEditor1);
        }

        private void SetDefaultFontPropertiesToEditor(RadRichTextEditor editor)
        {
            editor.Document.Selection.SelectAll();
            editor.RichTextBoxElement.ChangeFontFamily(new Telerik.WinControls.RichTextEditor.UI.FontFamily("Arial"));
            editor.RichTextBoxElement.ChangeFontSize(Unit.PointToDip(10));
            editor.RichTextBoxElement.ChangeFontStyle(Telerik.WinControls.RichTextEditor.UI.FontStyles.Normal);
            editor.RichTextBoxElement.ChangeFontWeight(Telerik.WinControls.RichTextEditor.UI.FontWeights.Normal);

            editor.RichTextBoxElement.ChangeParagraphLineSpacingType(LineSpacingType.Auto);
            editor.RichTextBoxElement.ChangeParagraphLineSpacing(1);
            editor.RichTextBoxElement.ChangeParagraphSpacingAfter(12);
            editor.DocumentInheritsDefaultStyleSettings = true;
        }
    }
}
